*;
*  Exercise 6 - Using the ODS ExcelXP Tagset, Part 4 of 4
*
*  TO DO:
*
*  Line 25: Supply the value of the Excel format needed to display
*           2 decimal places, submit the code, and then view the XML
*           file in Excel from the Recent Workbooks panel.
*;


title 'Subject ID: #BYVAL(patient)';
footnote;

ods _all_ close;
ods tagsets.ExcelXP file="&SAMPDIR\VitalSigns-ExcelXP.xml" style=Printer;

  ods tagsets.ExcelXP options(sheet_interval='bygroup' 
                              sheet_label='Trial'
                              suppress_bylines='yes'
                              embedded_titles='yes');

  proc print data=sample.PHCVital noobs label;
    by     protocol patient;
    var    vittime / style(column)=[tagattr='format:'];
    var    vitrrate vithrate vitsysbp vitdiabp;
    pageby patient;
  run; quit;

ods tagsets.ExcelXP close;

;*';*";*/;quit;run;