*;
*  Exercise 2 - Using the ODS CSVALL Destination
*
*  TO DO:
*
*  Line 11: Add the SAS System Option to suppress BY-line text, submit the code,
*           and then view a CSV file in Excel by double-clicking the file.
*;


options nobyline;

title 'Subject ID: #BYVAL(patient)';
footnote;

ods _all_ close;

ods csvall file="&SAMPDIR\VitalSigns-ODSABC.csv";
  proc print data=sample.PHCVital noobs label;
    by     protocol patient;
    var    vittime vitrrate vithrate vitsysbp vitdiabp;
    pageby patient;
    where  (protocol eq 'ABC 123');
  run; quit;
ods csvall close;

ods csvall file="&SAMPDIR\VitalSigns-ODSXYZ.csv";
  proc print data=sample.PHCVital noobs label;
    by     protocol patient;
    var    vittime vitrrate vithrate vitsysbp vitdiabp;
    pageby patient;
    where  (protocol eq 'XYZ 987');
  run; quit;
ods csvall close;

options byline;

;*';*";*/;quit;run;